<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\ClassModel;

class ClassModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(ClassModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(ClassModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(ClassModel::class);
    }
}
